package com.tcctyn.iot.api.factory;

import com.tcctyn.common.core.web.domain.R;
import com.tcctyn.common.core.web.domain.model.LoginUser;
import com.tcctyn.iot.api.RemoteDeviceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 用户服务降级处理
 * 
 * @author tcctyn
 */
@Component
public class RemoteDeviceFallbackFactory implements FallbackFactory<RemoteDeviceService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteDeviceFallbackFactory.class);

    @Override
    public RemoteDeviceService create(Throwable throwable)
    {
        log.error("物联网服务调用失败:{}", throwable.getMessage());
        return new RemoteDeviceService()
        {


            @Override
            public R<LoginUser> getDeviceInfoByDeviceNo(String deviceNo) {
                return R.fail("获取设备信息失败:" + throwable.getMessage());
            }
        };
    }
}
