package com.tcctyn.iot.forestfire.BO;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 打卡点、巡护点业务对象
 */
@Data
public class PointInfoBO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 点位记录id
     */
    private Long id;

    /**
     * 归属地区id  可能是林区、林场、电子围栏、巡护路径id
     */
    private Long belongingRegionId;

    @JsonIgnore
    /**
     * 林区id
     */
    private Long forestId;
    /**
     * 林场id
     */
    @JsonIgnore
    private Long farmId;

    /**
     * 电子围栏id
     */
    @JsonIgnore
    private Long fenceId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 点位类型：云台、卡口、打卡点、巡护点
     */
    private String pointType;

    /**
     * 点位顺序
     */
    private Integer sortNo;

    /**
     * 打卡半径，单位：米
     */
    private String checkInRadius;

    /**
     * 是否打卡
     */
    private boolean checkInFlag;

    /**
     * 打卡时间
     */
    private Date checkInTime;
}
