package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 火情上报VO
 */
@Data
public class FireReportVO implements Serializable {

    private static final long serialVersionUID = 7460119250284631833L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 火情标题
     */
    private String fireTitle;

    /**
     * 上报方式：卫星上报、无人机上报、人工上报、监测点（云台/卡口）上报
     */
    private String reportMethod;

    /**
     * 来源火情预警id
     */
    private Long fireWarningId;

    /**
     * 上报设备编号
     */
    private String deviceNo;

    /**
     * 上报设备类型
     */
    private String deviceType;

    /**
     * 上报人员id
     */
    private Long reporterId;

    /**
     * 地址
     */

    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 归属区域id
     */
    private Long regionId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 火险等级，有别于火情预警等级
     */
    private String fireHazardLevel;

    /**
     * 起火原因
     */
    private String fireCause;

    /**
     * 失火面积
     */
    private String fireArea;

    /**
     * 预计损失金额
     */
    private String amountLoss;

    /**
     * 火情图片
     */
    private String firePicture;

    /**
     * 火情描述
     */
    private String fireDescription;

    /**
     * 处置状态：未处理、已处理
     */
    private Integer disposalStatus;

    /**
     * 处置说明
     */
    private String disposalInstruction;

    /**
     * 扑救情况
     */
    private String firefightingSituation;

    /**
     * 灾后情况说明
     */
    private String disasterSituation;

    /**
     * 扑救单位
     */
    private String firefightingUnit;

    /**
     * 主要负责人
     */
    private String personInCharge;

    /**
     * 归档状态
     */
    private Integer archiveStatus;

    /**
     * 归档时间
     */
    private Date archiveTime;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 该条记录是否被删除，1-已删除，0-未删除
     */
    private Integer delFlag;

    /**
     * 创建人员姓名
     */
    private String createdBy;

    /**
     * 记录创建时间，默认用服务器时间
     */
    private Date createdTime;

    /**
     * 修改人员姓名
     */
    private String updatedBy;

    /**
     * 记录修改时间，默认用服务器时间
     */
    private Date updatedTime;

    // 以下为给前端展示的字段

    /** 上报人姓名 */
    private String reporterName;

    /** 地区名称 */
    private String regionName;

}
