package com.tcctyn.iot.forestfire.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 海康_硬件抓拍图片元数据表
 * @author 13768238378
 * @TableName hk_store_capture_pictures
 */

@Data
public class HkStoreCapturePicturesVO implements Serializable {
    /**
     * 主键ID
     */
//    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * MinIO存储桶名称（符合MinIO命名规范）
     */
    private String bucket;

    /**
     * MinIO对象唯一路径（如: images/user/2023/10/photo.jpg）
     */
    private String objectKey;

    /**
     * 原始文件名
     */
    private String originalName;

    /**
     * 上传用户ID
     */
    private Long userId;

    /**
     * 文件大小（字节）
     */
    private Long fileSize;

    /**
     * 文件MIME类型（如image/jpeg）
     */
    private String fileType;

    /**
     * 文件MD5哈希（用于去重校验）
     */
    private String md5;

    /**
     * 是否公开（0-私有，1-公开）
     */
    private Integer isPublic;

    /**
     * 软删除标记（0-未删除，1-已删除）
     */
    private Integer isDeleted;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;
    /**
     * 设备id
     */
    private String deviceId;
    /**
     * 访问路径
     */
    private String accessPath;

    private static final long serialVersionUID = 1L;

}