package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 库存记录
 */
@Data
public class InventoryVO {
    /**
     * 库存id
     */
    private Long inventoryId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 物资id
     */
    private Long materialId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 入库/出库
     */
    private Integer inventoryType;

    /**
     * 物资名称
     */
    private String materialName;

    /**
     * 规格
     */
    private String unit;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 物资类型
     */
    private Integer materialType;

    /**
     * 备注
     */
    private String description;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 仓库名
     */
    private String warehouseName;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 仓库林场id
     */
    private Long regionId;
}
