package com.tcctyn.iot.forestfire.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 请假记录返给前端VO
 */
@Data
public class LeaveRecordVO implements Serializable {

    private static final long serialVersionUID = -1916751239764842177L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 请假人id
     */
    private Long userId;

    /**
     * 请假人部门id
     */
    private Long deptId;

    /**
     * 请假类型
     */
    private String leaveType;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 请假时长，单位小时
     */
    private String leaveDuration;

    /**
     * 请假说明
     */
    private String leaveInstruction;

    /**
     * 图片
     */
    private String picture;

    /**
     * 撤销标识：0-未撤销，1-已撤销
     */
    private Integer revokeFlag;

    /**
     * 撤销时间
     */
    private Date revokeTime;

    /**
     * 审批标识：0-未审批，1-已审批
     */
    private Integer approvalFlag;

    /**
     * 审批状态：0-驳回，1-通过
     */
    private Integer approvalStatus;

    /**
     * 驳回说明
     */
    private String rejectionStatement;

    /**
     * 审核人id
     */
    private Long reviewerId;

    /**
     * 审核时间
     */
    private Date reviewTime;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 记录创建时间，默认用服务器时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    //以下是VO 做的映射字段

    /**
     * 请假人姓名
     */
    private String userName;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 审批人姓名
     */
    private String reviewerName;
}
