package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 点位信息VO
 */
@Data
public class PointInfoVO implements Serializable {

    private static final long serialVersionUID = -549172295504736627L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 点位编号
     */
    private String pointNo;

    /**
     * 点位名称
     */
    private String pointName;

    /**
     * 行政区划
     */
    private String administrativeDivision;

    /**
     * 归属地区id
     */
    private Long belongingRegionId;

    /**
     * 归属地区名称
     */
    private String belongingRegionName;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 点位类型：云台、卡口、打卡点、巡护点
     */
    private String pointType;

    /**
     * 点位顺序
     */
    private Integer sortNo;

    /**
     * 打卡半径，单位：米
     */
    private String checkInRadius;

    /**
     * 点位描述信息
     */
    private String pointDescription;

    /**
     * 设备启用状态：0-停用/1-启用
     */
    private Integer enableFlag;//sgq2025.3.20

    /**
     * 点位图片，多张以英文逗号分隔
     */
    private String pointPicture;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 点位下的设备信息统计：设备总数量、在线设备数、离线设备数
     */
    private DeviceUnderPointVO deviceUnderPointVO;
}
