package com.tcctyn.iot.forestfire.controller;

import com.tcctyn.common.core.web.controller.BaseController;
import com.tcctyn.common.core.web.page.TableDataInfo;
import com.tcctyn.iot.forestfire.VO.HkStoreCapturePicturesVO;
import com.tcctyn.iot.forestfire.searcher.hk.HkStoreListSearcher;
import com.tcctyn.iot.forestfire.service.IHkStoreCapturePicturesService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@RequestMapping("/hk-store")
@Tag(name = "海康存储桶-接口管理", description = "海康存储桶-接口管理")
public class HkStoreController extends BaseController {

    @Autowired
    private IHkStoreCapturePicturesService hkStoreCapturePicturesService;

    @PostMapping("/getListHkStoreCapturePictures")
    @Operation(summary = "获取图片和视频列表", description = "获取图片和视频列表")
    public TableDataInfo getListHkStoreCapturePictures(@RequestBody HkStoreListSearcher hkStoreListSearcher) {
        startPage();
        List<HkStoreCapturePicturesVO> voList = hkStoreCapturePicturesService.getListHkStoreCapturePicturesList(hkStoreListSearcher);
        return getDataTable(voList);
    }

}
