package com.tcctyn.iot.forestfire.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.common.core.web.controller.BaseController;
import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.forestfire.domain.VoiceTemplateConfig;
import com.tcctyn.iot.forestfire.service.IVoiceTemplateConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 语音播报模板表 前端控制器
 * </p>
 * TODO 后续再开发，目前语音预警消息已经够用了，后面看看真实需求再处理
 *
 * @author daichao
 * @since 2024-12-17
 */

@RestController
@RequestMapping("/voiceTemplateConfig")
public class VoiceTemplateConfigController extends BaseController {


    @Autowired
    private IVoiceTemplateConfigService iVoiceTemplateConfigService;

    @GetMapping(value = "/list")
    public AjaxResult list(@RequestParam(required = false) Integer current, @RequestParam(required = false) Integer size) {
        if (current == null) {
            current = 1;
        }
        if (size == null) {
            size = 10;
        }
        Page<VoiceTemplateConfig> pageList = iVoiceTemplateConfigService.list(current,size);
        return AjaxResult.success(pageList);
    }


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        VoiceTemplateConfig voiceTemplateConfig = iVoiceTemplateConfigService.getById(id);
        return AjaxResult.success(voiceTemplateConfig);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody VoiceTemplateConfig params) {
        Integer result = iVoiceTemplateConfigService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result =  iVoiceTemplateConfigService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody VoiceTemplateConfig params) {
        Integer result = iVoiceTemplateConfigService.update(params);
        return AjaxResult.success(result);
    }
}
