package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 轮播图配置表
 * </p>
 *
 * @author daichao
 * @since 2024-12-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("carousel_image_config")
public class CarouselImageConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 图片主题
     */
    @NotBlank(message = "请填写图片主题")
    private String imageTheme;

    /**
     * 图片
     */
    @NotBlank(message = "图片不能为空")
    private String image;

    /**
     * 序号
     */
    private Integer sortNo;

    /**
     * 是否启用：0-停用，1-启用
     */
    private Integer enableFlag;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 该条记录是否被删除，1-已删除，0-未删除
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建人员姓名
     */
    private String createdBy;

    /**
     * 记录创建时间，默认用服务器时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 修改人员姓名
     */
    private String updatedBy;

    /**
     * 记录修改时间，默认用服务器时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
