package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 打卡记录表
 * </p>
 *
 * @author liuzh
 * @since 2024-10-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("check_in_record")
public class CheckInRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 排班id
     */
    private Long scheduleId;

    /**
     * 点位id
     */
    @NotNull(message = "打卡点位id不能为空")
    private Long pointId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 巡护路径id
     */
    private Long pathId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 打卡时间
     */
    private Date checkInTime;

    /**
     * 打卡地点
     */
    @NotBlank(message = "当前打卡位置不能为空")
    private String location;

    /**
     * 经度
     */
    @NotBlank(message = "经度不能为空")
    private String longitude;

    /**
     * 纬度
     */
    @NotBlank(message = "纬度不能为空")
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 有效打卡标识 1-有效，0-无效
     */
    private Integer effectiveFlag;

    /**
     * 打卡拍照
     */
    private String checkPicture;

}
