package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
/**
 * <p>
 * 林间道路详细信息表
 * </p>
 *
 * @author jason
 * @since 2025-03-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("road_info")
public class RoadInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 道路id
     */
    private Long roadId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 坐标集合
     */
    private String coordinates;

    /**
     * 特征类型：陡坡、急转弯等
     */
    private String featureType;

    /**
     * 排序
     */
    private Integer sortNo;

    /**
     * 坡度值
     */
    private String slope;

    /**
     * 弯度值
     */
    private String camber;

    /**
     * 宽度
     */
    private String width;

    /**
     * 道路图片，多张以英文逗号分隔
     */
    private String roadPicture;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 该条记录是否被删除，1-已删除，0-未删除
     */
    private Integer delFlag;

    /**
     * 创建人员姓名
     */
    private String createdBy;

    /**
     * 记录创建时间，默认用服务器时间
     */
    private Date createdTime;

    /**
     * 修改人员姓名
     */
    private String updatedBy;

    /**
     * 记录修改时间，默认用服务器时间
     */
    private Date updatedTime;


}
