package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
/**
 * <p>
 * 调班记录
 * </p>
 *
 * @author liuzh
 * @since 2024-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("schedule_swap")
public class ScheduleSwap implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 调班ID
     */
    @TableId(value = "swap_id", type = IdType.AUTO)
    private Long swapId;

    /**
     * 排班ID
     */
    private Long scheduleId;

    /**
     * 路线ID
     */
    private Long pathId;

    /**
     * 调整日期
     */
    private Date swapDate;

    /**
     * 调整前
     */
    private Long beforeUser;

    /**
     * 调整后
     */
    private Long afterUser;

    /**
     * 描述信息
     */
    private String description;

    /**
     * 删除标志
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 更新者
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
