package com.tcctyn.iot.forestfire.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 排班模板
 * </p>
 *
 * @author liuzh
 * @since 2024-10-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("schedule_template")
public class ScheduleTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模板ID
     */
    @TableId(value = "template_id", type = IdType.AUTO)
    private Long templateId;

    /**
     * 计划ID
     */
    @NotNull(message = "计划ID不能为空")
    private Long planId;

    /**
     * 归属区域ID
     */
    private Long belongingRegionId;

    /**
     * 林区ID
     */
    private Long forestId;

    /**
     * 林场ID
     */
    private Long farmId;

    /**
     * 电子围栏ID
     */
    private Long fenceId;

    /**
     * 路线ID
     */
    private Long pathId;

    /**
     * 周一
     */
    private String monUsers;

    /**
     * 周二
     */
    private String tueUsers;

    /**
     * 周三
     */
    private String wedUsers;

    /**
     * 周四
     */
    private String thurUsers;

    /**
     * 周五
     */
    private String friUsers;

    /**
     * 周六
     */
    private String satUsers;

    /**
     * 周日
     */
    private String sunUsers;

    /**
     * 删除标志
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createdTime;

    /**
     * 更新者
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updatedTime;

}
