package com.tcctyn.iot.forestfire.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 火情预警信息数据来源枚举
 */
public enum DataSourceEnum {

    /**
     * 卫星热点
     */
    SATELLITE_HOTSPOT("卫星热点"),

    /**
     * 视频监控
     */
    VIDEO_MONITOR("视频监控"),

    /**
     * 巡护上报
     */
    PATROL_REPORT("巡护上报"),
    ;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 描述
     */
    private String desc;

    DataSourceEnum(String desc) {
        this.desc = desc;
    }

    /**
     * 根据枚举名称获取枚举
     *
     * @param enumName
     * @return
     */
    public static DataSourceEnum getByEnumName(final String enumName) {
        for (DataSourceEnum element : values()) {
            if (element.name().equals(enumName)) {
                return element;
            }
        }
        return PATROL_REPORT;
    }

    /**
     * 获取枚举名称和desc所有的映射
     *
     * @return
     */
    public static Map<String, String> getName2DescMap() {

        final Map<String, String> name2TitleMap = new LinkedHashMap<>();

        for (DataSourceEnum element : values()) {
            name2TitleMap.put(element.name(), element.desc);
        }

        return name2TitleMap;
    }
}
