package com.tcctyn.iot.forestfire.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 设备状态枚举 在线/离线
 */
public enum DeviceStatusEnum {

    /**
     * 在线
     */
    ON("在线"),

    /**
     * 离线
     */
    OFF("离线"),
    ;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 描述
     */
    private String desc;

    DeviceStatusEnum(String desc) {
        this.desc = desc;
    }

    /**
     * 根据枚举名称获取枚举
     *
     * @param enumName
     * @return
     */
    public static DeviceStatusEnum getByEnumName(final String enumName) {
        for (DeviceStatusEnum element : values()) {
            if (element.name().equals(enumName)) {
                return element;
            }
        }
        return ON;
    }

    /**
     * 获取枚举名称和desc所有的映射
     *
     * @return
     */
    public static Map<String, String> getName2DescMap() {

        final Map<String, String> name2TitleMap = new LinkedHashMap<>();

        for (DeviceStatusEnum element : values()) {
            name2TitleMap.put(element.name(), element.desc);
        }

        return name2TitleMap;
    }
}
