package com.tcctyn.iot.forestfire.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 火险等级：
 */
public enum FireHazardLevelEnum {


    /**
     * 一般火灾
     */
    GENERAL_FIRE("一般火灾"),

    /**
     * 较大火灾
     */
    MAJOR_FIRE("较大火灾"),


    /**
     * 重大火灾
     */
    SERIOUS_FIRE("重大火灾"),


    /**
     * 特别重大火灾
     */
    ESPECIALLY_SERIOUS_FIRE("特别重大火灾"),

    ;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 描述
     */
    private String desc;

    FireHazardLevelEnum(String desc) {
        this.desc = desc;
    }

    /**
     * 根据枚举名称获取枚举
     *
     * @param enumName
     * @return
     */
    public static FireHazardLevelEnum getByEnumName(final String enumName) {
        for (FireHazardLevelEnum element : values()) {
            if (element.name().equals(enumName)) {
                return element;
            }
        }
        return GENERAL_FIRE;
    }

    /**
     * 获取枚举名称和desc所有的映射
     *
     * @return
     */
    public static Map<String, String> getName2DescMap() {

        final Map<String, String> name2TitleMap = new LinkedHashMap<>();

        for (FireHazardLevelEnum element : values()) {
            name2TitleMap.put(element.name(), element.desc);
        }

        return name2TitleMap;
    }
}
