package com.tcctyn.iot.forestfire.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 巡护点位类型枚举
 */

public enum PointTypeEnum {

    /**
     * 云台
     */
    PTZ("云台"),

    /**
     * 卡口
     */
    BAYONET("卡口"),


    /**
     * 打卡点
     */
    CHECK_IN_POINT("打卡点"),


    /**
     * 巡护点
     */
    PATROL_POINT("巡护点"),

    /**
     * 水源地
     */
    WATER_SOURCE("水源地"),
    ;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 描述
     */
    private String desc;

    PointTypeEnum(String desc) {
        this.desc = desc;
    }

    /**
     * 根据枚举名称获取枚举
     *
     * @param enumName
     * @return
     */
    public static PointTypeEnum getByEnumName(final String enumName) {
        for (PointTypeEnum element : values()) {
            if (element.name().equals(enumName)) {
                return element;
            }
        }
        return CHECK_IN_POINT;
    }

    /**
     * 获取枚举名称和desc所有的映射
     *
     * @return
     */
    public static Map<String, String> getName2DescMap() {

        final Map<String, String> name2TitleMap = new LinkedHashMap<>();

        for (PointTypeEnum element : values()) {
            name2TitleMap.put(element.name(), element.desc);
        }

        return name2TitleMap;
    }

}
