package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.VO.DeviceChanelsVO;
import com.tcctyn.iot.forestfire.domain.DeviceChanels;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备通道表 Mapper 接口
 * </p>
 *
 * @author 宋国强
 * @since 2025-04-09
 */
public interface DeviceChanelsMapper extends BaseMapper<DeviceChanels> {

    /**
     * <p>
     * 根据设备编号查询该设备下所有通道信息
     * </p>
     *
     * @param deviceNo 设备编号
     * @return 设备通道信息列表
     */
    List<DeviceChanelsVO> selectByDeviceNo(@Param("deviceNo") String deviceNo);

    /**
     * <p>
     * 根据设备编号和通道号获取流地址
     * </p>
     *
     * @return 流地址
     */
    DeviceChanelsVO getStreamUrl(@Param("deviceNo") String deviceNo, @Param("chanelNo") String chanelNo);
}

