package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.domain.DeviceConfig;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 设备配置表 Mapper 接口
 * </p>
 *
 * @author 宋国强
 * @since 2025-04-14
 */
@SuppressWarnings("all")
public interface DeviceConfigMapper extends BaseMapper<DeviceConfig> {
    /**
     * <p>
     * 根据设备编号查询该设备下所有信息
     * </p>
     *
     * @param deviceNo 设备编号
     * @return 设备配置信息列表
     */
    DeviceConfig selectByDeviceNo(@Param("deviceNo") String deviceNo);

}
