package com.tcctyn.iot.forestfire.service;

import com.tcctyn.iot.forestfire.domain.CheckInRecord;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 打卡记录表 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-12
 */
public interface ICheckInRecordService {

    /**
     * <p>
     * 分页列表查询
     * </p>
     *
     * @return
     */
    List<CheckInRecord> list(CheckInRecord checkInRecord);

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    CheckInRecord getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param checkInRecord
     * @param userId
     * @return
     */
    Integer create(CheckInRecord checkInRecord, Long userId);


    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param checkInRecord
     * @return
     */
    Integer update(CheckInRecord checkInRecord);

    /**
     * 查询用户某一天的打卡记录
     *
     * @param userId,checkInTime
     * @return
     */
    List<CheckInRecord> getByUserId(Long userId, Date checkInTime);

    /**
     * 查询最近的10条打卡记录
     *
     * @return
     */
    List<CheckInRecord> selectLast10Items();
}
