package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tcctyn.iot.forestfire.VO.DeviceChanelsVO;
import com.tcctyn.iot.forestfire.domain.DeviceChanels;

import java.util.List;


/**
 * <p>
 * 设备通道表 服务类
 * </p>
 *
 * @author 宋国强
 * @since 2025-04-09
 */
public interface IDeviceChanelsService extends IService<DeviceChanels> {

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    DeviceChanelsVO getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param deviceChanels
     * @return
     */
    Integer create(DeviceChanels deviceChanels);

    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 修改接口
     * </p>
     *
     * @param deviceChanels
     * @return
     */
    Integer update(DeviceChanels deviceChanels);

    /**
     * <p>
     * 根据设备编号查询该设备下所有通道信息
     * </p>
     *
     * @param deviceNo 设备编号
     * @return 设备通道信息列表
     */
    List<DeviceChanelsVO> selectByDeviceNo(String deviceNo);

    /**
     * <p>
     * 根据设备编号和通道号获取流地址
     * </p>
     *
     * @return 流地址
     */
    DeviceChanelsVO getStreamUrl(String deviceNo, String chanelNo);

    /**
     * <p>
     * 根据设备编号和通道号开启预览
     * </p>
     *
     * @return 流地址
     */
    DeviceChanelsVO startPreview(String deviceNo, String chanelNo);

    /**
     * <p>
     * 根据设备编号和通道号关闭预览
     * </p>
     */
    String stopPreview(String deviceNo, String chanelNo);


}
   