package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.LeaveRecord;

import java.util.List;


/**
 * <p>
 * 请假记录表 服务类
 * </p>
 *
 * @author daichao
 * @since 2024-12-09
 */
public interface ILeaveRecordService {

    /**
     * <p>
     * 分页列表查询
     * </p>
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<LeaveRecord> list(Integer pageNo, Integer pageSize);

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    LeaveRecord getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param leaveRecord
     * @return
     */
    Integer create(LeaveRecord leaveRecord);


    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param leaveRecord
     * @return
     */
    Integer update(LeaveRecord leaveRecord);

    /**
     * 请假记录列表查询
     *
     * @param leaveRecord
     * @return
     */
    List<LeaveRecord> selectList(LeaveRecord leaveRecord);

    /**
     * 请假记录撤销接口
     *
     * @param id
     * @return
     */
    Integer revoke(Long id);
}
