package com.tcctyn.iot.forestfire.service;

import com.tcctyn.iot.forestfire.VO.ScheduleTemplateVO;
import com.tcctyn.iot.forestfire.domain.ScheduleTemplate;

import java.util.List;

/**
 * <p>
 * 排班模板 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-16
 */
public interface IScheduleTemplateService{
        
    /**
    * <p>
    * 列表查询
    * </p>
    * @param scheduleTemplate
    * @return
    */
    List<ScheduleTemplateVO> list(ScheduleTemplate scheduleTemplate);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    ScheduleTemplate getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param scheduleTemplate
    * @return
    */
    Integer create(ScheduleTemplate scheduleTemplate);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param scheduleTemplate
    * @return
    */
    Integer update(ScheduleTemplate scheduleTemplate);

    /**
     * 根据计划id获取模板
     * @param planId
     * @return
     */
    List<ScheduleTemplate> getByPlanId(Long planId);

    /**
     * 批量新增
     */
    boolean createBatch(List<ScheduleTemplate> scheduleTemplateList);
}
