package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tcctyn.iot.forestfire.domain.Shift;

import java.util.List;

/**
 * <p>
 * 班次表 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-09-24
 */
public interface IShiftService extends IService<Shift> {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<Shift> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        Shift getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param shift
        * @return
        */
        Integer create(Shift shift);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param shift
        * @return
        */
        Integer update(Shift shift);

        /**
        * <p>
        * 查询列表
        * </p>
        * @param shift
        * @return
        */
        List<Shift> selectShiftList(Shift shift);

        List<Shift> allShift();
}
