package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.domain.CarouselImageConfig;
import com.tcctyn.iot.forestfire.mapper.CarouselImageConfigMapper;
import com.tcctyn.iot.forestfire.service.ICarouselImageConfigService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 轮播图配置表 服务实现类
 * </p>
 *
 * @author daichao
 * @since 2024-12-17
 */
@Service
public class CarouselImageConfigServiceImpl extends ServiceImpl<CarouselImageConfigMapper, CarouselImageConfig> implements ICarouselImageConfigService {


    @Resource
    private CarouselImageConfigMapper carouselImageConfigMapper;

    @Override
    public Page<CarouselImageConfig> list(Integer pageNo, Integer pageSize) {
        return carouselImageConfigMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public CarouselImageConfig getById(Long id) {
        CarouselImageConfig carouselImageConfig = carouselImageConfigMapper.selectById(id);
        return carouselImageConfig;
    }

    @Override
    public Integer create(CarouselImageConfig carouselImageConfig) {
        return carouselImageConfigMapper.insert(carouselImageConfig);
    }

    @Override
    public Integer delete(Long id) {
        return carouselImageConfigMapper.deleteById(id);
    }

    @Override
    public Integer update(CarouselImageConfig carouselImageConfig) {
        return carouselImageConfigMapper.updateById(carouselImageConfig);
    }

    @Override
    public List<CarouselImageConfig> selectList(CarouselImageConfig carouselImageConfig) {
        List<CarouselImageConfig> carouselImageConfigList = carouselImageConfigMapper.selectList(new QueryWrapper<CarouselImageConfig>().lambda()
                .like(StringUtils.isNotBlank(carouselImageConfig.getImageTheme()), CarouselImageConfig::getImageTheme, carouselImageConfig.getImageTheme())
                .eq(Objects.nonNull(carouselImageConfig.getEnableFlag()), CarouselImageConfig::getEnableFlag, carouselImageConfig.getEnableFlag())
                .orderByAsc(CarouselImageConfig::getSortNo)
                .orderByDesc(CarouselImageConfig::getEnableFlag)
                .orderByDesc(CarouselImageConfig::getCreatedTime)
        );
        return carouselImageConfigList;
    }

}
