package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.domain.DroneTaskPlan;
import com.tcctyn.iot.forestfire.mapper.DroneTaskPlanMapper;
import com.tcctyn.iot.forestfire.searcher.drone.DroneSearcher;
import com.tcctyn.iot.forestfire.service.IDroneTaskPlanService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 无人机任务计划表 服务实现类
 * </p>
 *
 * @author 代超
 * @since 2024-11-07
 */
@Service
public class DroneTaskPlanServiceImpl extends ServiceImpl<DroneTaskPlanMapper, DroneTaskPlan> implements IDroneTaskPlanService {


    @Resource
    private DroneTaskPlanMapper droneTaskPlanMapper;

    @Override
    public Page<DroneTaskPlan> list(Integer pageNo, Integer pageSize) {
        return droneTaskPlanMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public DroneTaskPlan getById(Long id) {
        DroneTaskPlan droneTaskPlan = droneTaskPlanMapper.selectById(id);
        return droneTaskPlan;
    }

    @Override
    public Integer create(DroneTaskPlan droneTaskPlan) {
        return droneTaskPlanMapper.insert(droneTaskPlan);
    }

    @Override
    public Integer delete(Long id) {
        return droneTaskPlanMapper.deleteById(id);
    }

    @Override
    public Integer update(DroneTaskPlan droneTaskPlan) {
        return droneTaskPlanMapper.updateById(droneTaskPlan);
    }

    @Override
    public List<DroneTaskPlan> selectByStatus(DroneSearcher searcher) {
        List<DroneTaskPlan> droneTaskPlanList = droneTaskPlanMapper.selectList(new QueryWrapper<DroneTaskPlan>().lambda()
                .eq(DroneTaskPlan::getTaskStatus, searcher.getTaskStatus())
                .between(searcher.getStartTime() != null && searcher.getEndTime() != null, DroneTaskPlan::getEndTime, searcher.getStartTime(), searcher.getEndTime())
        );
        return droneTaskPlanList;
    }

    @Override
    public List<DroneTaskPlan> seletList(DroneTaskPlan droneTaskPlan) {
        return droneTaskPlanMapper.selectList(new QueryWrapper<DroneTaskPlan>().lambda()
                .eq(DroneTaskPlan::getTaskStatus, droneTaskPlan.getTaskStatus())
        );
    }

}
