package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.domain.ScheduleSwap;
import com.tcctyn.iot.forestfire.mapper.ScheduleSwapMapper;
import com.tcctyn.iot.forestfire.service.IScheduleSwapService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* <p>
* 调班记录 服务实现类
* </p>
*
* @author liuzh
* @since 2024-10-19
*/
@Service
public class ScheduleSwapServiceImpl extends ServiceImpl<ScheduleSwapMapper,ScheduleSwap> implements IScheduleSwapService {


    @Resource
    private ScheduleSwapMapper scheduleSwapMapper;

    @Override
    public Page<ScheduleSwap> list(Integer pageNo, Integer pageSize) {
        return scheduleSwapMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public ScheduleSwap getById(Long id) {
        ScheduleSwap scheduleSwap = scheduleSwapMapper.selectById(id);
        return scheduleSwap;
    }

    @Override
    public Integer create(ScheduleSwap scheduleSwap) {
        return scheduleSwapMapper.insert(scheduleSwap);
    }

    @Override
    public Integer delete(Long id) {
        return scheduleSwapMapper.deleteById(id);
    }

    @Override
    public Integer update(ScheduleSwap scheduleSwap) {
        return scheduleSwapMapper.updateById(scheduleSwap);
    }

}
