package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.domain.VoiceTemplateConfig;
import com.tcctyn.iot.forestfire.mapper.VoiceTemplateConfigMapper;
import com.tcctyn.iot.forestfire.service.IVoiceTemplateConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* <p>
* 语音播报模板表 服务实现类
* </p>
*
* @author daichao
* @since 2024-12-17
*/
@Service
public class VoiceTemplateConfigServiceImpl extends ServiceImpl<VoiceTemplateConfigMapper, VoiceTemplateConfig> implements IVoiceTemplateConfigService {


        @Resource
        private VoiceTemplateConfigMapper voiceTemplateConfigMapper;

        @Override
        public Page<VoiceTemplateConfig> list(Integer pageNo, Integer pageSize) {
            return voiceTemplateConfigMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
        }

        @Override
        public VoiceTemplateConfig getById(Long id) {
            VoiceTemplateConfig voiceTemplateConfig = voiceTemplateConfigMapper.selectById(id);
            return voiceTemplateConfig;
        }

        @Override
        public Integer create(VoiceTemplateConfig voiceTemplateConfig) {
            return voiceTemplateConfigMapper.insert(voiceTemplateConfig);
        }

        @Override
        public Integer delete(Long id) {
            return voiceTemplateConfigMapper.deleteById(id);
        }

        @Override
        public Integer update(VoiceTemplateConfig voiceTemplateConfig) {
            return voiceTemplateConfigMapper.updateById(voiceTemplateConfig);
        }

}
