package com.tcctyn.iot.hkapi.controller;

import com.tcctyn.common.core.web.controller.BaseController;
import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.hkapi.VO.PreviewURLsParam;
import com.tcctyn.iot.hkapi.service.IHkVideoService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/hk/video")
public class HkVideoController extends BaseController {


    @Autowired
    private IHkVideoService hkVideoService;

    /**
     * 分页获取监控点资源
     */
    @Async
    @GetMapping("/getResourceCameras")
    @Operation(summary = "分页获取监控点资源", description = "分页获取监控点资源")
    public AjaxResult getResourceCameras()
    {
        return hkVideoService.getResourceCameras();
    }

    /**
     * 获取监控点预览取流URLv2
     */
    @Async
    @PostMapping("/getVideoCamerasPreviewURLs")
    @Operation(summary = "获取监控点预览取流URLv2", description = "获取监控点预览取流URLv2")
    public AjaxResult getVideoCamerasPreviewURLs(@RequestBody PreviewURLsParam previewURLsParam)
    {
        return hkVideoService.getVideoCamerasPreviewURLs(previewURLsParam);
    }
}
