package com.tcctyn.iot.hkapi.service;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.tcctyn.common.core.utils.StringUtils;
import com.tcctyn.common.core.web.domain.AjaxResult;
import com.tcctyn.iot.forestfire.domain.DeviceInfo;
import com.tcctyn.iot.forestfire.service.impl.DeviceInfoServiceImpl;
import com.tcctyn.iot.hkapi.VO.CamerasBody;
import com.tcctyn.iot.hkapi.VO.PreviewURLsParam;
import com.tcctyn.iot.hkapi.utils.HkApi;
import com.tcctyn.iot.hkapi.utils.HkArtemisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 海康视频业务类
 */
@Service
public class IHkVideoService {

    @Autowired
    private HkArtemisUtil hkArtemisUtil;

    @Autowired
    private DeviceInfoServiceImpl deviceInfoService;

    public AjaxResult getResourceCameras() {
        try {

            HashMap<String, Object> paramMap = new HashMap<>();
            // TODO 测试
            paramMap.put("pageNo", 1);
            paramMap.put("pageSize", 10);

            // 获取分页参数
//            PageDomain pageDomain = TableSupport.buildPageRequest();
//            if (pageDomain.getPageNum() == null || pageDomain.getPageSize() == 0) {
//                paramMap.put("pageNo", 1);
//                paramMap.put("pageSize", 10);
//            } else {
//                paramMap.put("pageNo", pageDomain.getPageNum());
//                paramMap.put("pageSize", pageDomain.getPageSize());
//            }

            // 调用海康摄像头资源接口
            String result = hkArtemisUtil.callPostApiGetOrgList(HkApi.API_RESOURCE_V1_CAMERAS, paramMap);
            // 看是否关连设备表
            JSONObject jsonObject = JSON.parseObject(result);
            List<CamerasBody> camerasBodyList = (List<CamerasBody>) jsonObject.get("data");
            List<DeviceInfo> deviceInfoList = new ArrayList<>();
            if (StringUtils.isNotEmpty(camerasBodyList)) {
                for (CamerasBody camerasBody : camerasBodyList) {
                    DeviceInfo deviceInfo = new DeviceInfo();
//                    deviceInfo.setDeviceNo(camerasBody.getDeviceSerial());
                    deviceInfoList.add(deviceInfo);
                }
            }
            // 保存
            deviceInfoService.saveOrUpdateBatch(deviceInfoList);
            return AjaxResult.success(result);
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("分页获取监控点资源失败");
        }
    }

    public AjaxResult getVideoCamerasPreviewURLs(PreviewURLsParam previewURLsParam) {
        try {
            // 请求参数
            HashMap<String, Object> paramMap = new HashMap<>();// post请求Form表单参数
            paramMap.put("cameraIndexCode", previewURLsParam.getCameraIndexCode());
            paramMap.put("streamType", previewURLsParam.getStreamType());
            paramMap.put("protocol", previewURLsParam.getProtocol());
            paramMap.put("transmode", previewURLsParam.getTransmode());
            paramMap.put("expand", previewURLsParam.getExpand());
            paramMap.put("streamform", previewURLsParam.getStreamform());

            // 调用海康摄像头资源接口
            String result = hkArtemisUtil.callPostApiGetOrgList(HkApi.API_VIDEO_V2_CAMERAS_PREVIEWURLS, paramMap);
            return AjaxResult.success(result);

        } catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("获取监控点预览取流URLv2失败");
        }
    }
}
